using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Consulenza.WebTemplateModeler.Entity
{
    public class Vincolo  
    {
        public string Key { get; set; }
        public string Value { get; set; }


        public static List<Vincolo> Format(string dato)
        {
            List<Vincolo> vincoli = new List<Vincolo>();
            dato = dato.Trim();
            if (!dato.Equals(""))
            {
                foreach (string o in dato.Split('&'))
                {
                    if (!o.Equals(""))
                    {
                        string[] oo = o.Split('=');
                        Vincolo vincolo = new Vincolo();
                        if(!oo[0].Equals("")) vincolo.Key = oo[0];
                        if (oo.Length > 1 && !oo[1].Equals("")) vincolo.Value = oo[1];
                        vincoli.Add(vincolo);
                    }
                }
            }
            return vincoli;
        }
        public static string Format(List<Vincolo> vincoli)
        {
            string risp = "";
            foreach (Vincolo o in vincoli)
            {
                risp += "&" + o.Key + (!o.Value.Equals("")?"=" + o.Value:"") ;

            }
            return risp;
        } 

    }
}
